Bug 763654 - (GLUSTER-1922) Volume not present wrong message displayed on command line
Volume not present wrong message displayed on command line
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-11 19:55 EDT by Harshavardhana
Modified: 2015-12-01 11:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: ---
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harshavardhana 2010-10-11 19:55:29 EDT
[root@platform test1]# gluster volume start vol1
Starting volume vol1 has been unsuccessful
Volume with name vol1 does not exist
[root@platform test1]# gluster volume info vol1
Volume vol1 not present
[root@platform test1]# 

This needs to be fixed just saying vol1 doesn't exist as "gluster volume info" command does.
Comment 1 Pranith Kumar K 2010-10-25 02:27:11 EDT
(In reply to comment #0)
> [root@platform test1]# gluster volume start vol1
> Starting volume vol1 has been unsuccessful
> Volume with name vol1 does not exist
> [root@platform test1]# gluster volume info vol1
> Volume vol1 not present
> [root@platform test1]# 
> 
> This needs to be fixed just saying vol1 doesn't exist as "gluster volume info"
> command does.

hi harsha,
     It is not clear from the description whether you want the message "Starting volume vol1 has been unsuccessful" to be removed (or) the message "Volume with name vol1 does not exist" to be changed to "Volume vol1 does not exist"?
Could you please confirm.

Pranith
Comment 2 Harshavardhana 2010-10-25 19:04:10 EDT
> 
> hi harsha,
>      It is not clear from the description whether you want the message
> "Starting volume vol1 has been unsuccessful" to be removed (or) the message
> "Volume with name vol1 does not exist" to be changed to "Volume vol1 does not
> exist"?
> Could you please confirm.
> 
> Pranith

If the requested volume is absent then the command 

"gluster volume info <volname>"

Gives an output which is perfectly intuitive saying requested volume <volname> is absent. 

Now the same with "gluster volume start <volname>" 

Results in saying "Starting volume <volname> has been unsuccessful" now this message is a debugging message or a return value check which is not required on the terminal output. 

Just the message "Volume with name <volname> does not exist" is better. 

Also we can be consistent in using sentences 

glusterfs volume info <volname> - Volume <volname> not present 
glusterfs volume start <volname> - Volume with name <volname> does not exist. 

Two sentences can be as simple as "Volume <volname> does not exist in cluster"
Comment 3 Anand Avati 2010-12-27 20:50:59 EST
PATCH: http://patches.gluster.com/patch/5902 in master (glusterd,cli: print single error message on failure)
Comment 4 Rahul C S 2011-01-11 02:39:53 EST
The message "Volume with name <volname> does not exist" needs to be associated with every gluster command having <volname> as argument.
We need to validate if <volname> is part of the command.
Comment 5 Pranith Kumar K 2011-01-11 03:29:12 EST
(In reply to comment #4)
> The message "Volume with name <volname> does not exist" needs to be associated
> with every gluster command having <volname> as argument.
> We need to validate if <volname> is part of the command.

Is there any command where this error message is not showing up?.

Pranith
Comment 6 Rahul C S 2011-01-11 04:07:15 EST
(In reply to comment #5)
> (In reply to comment #4)
> > The message "Volume with name <volname> does not exist" needs to be associated
> > with every gluster command having <volname> as argument.
> > We need to validate if <volname> is part of the command.
> 
> Is there any command where this error message is not showing up?.
> 
> Pranith


gluster volume rebalance vol1 start

It shows its unsuccessful.
Comment 7 Pranith Kumar K 2011-01-30 22:56:52 EST
I have sent the necessary changes to fix this bug to rfc. Amar wants to add the cli-xdr changes as per the new document for changing xdr files as an example for the future changes. Assigning the bug to him.
Comment 8 Anand Avati 2011-03-01 15:10:39 EST
PATCH: http://patches.gluster.com/patch/6297 in master (gluster rebalance: get the proper/exact error msg to cli)
Comment 9 Amar Tumballi 2011-03-01 21:48:14 EST
Internal enhancement to provide exact errors. No need to mention in documentation.
Comment 10 Anand Avati 2011-03-01 22:07:25 EST
PATCH: http://patches.gluster.com/patch/6232 in master (Display correct usage of rebalance command when it is wrongly entered.)

Note You need to log in before you can comment on or make changes to this bug.